[Demudi-commits] r119 - in demudi-debian-cd/trunk: . data/sarge debian tasks

Free Ekanayaka free-guest@haydn.debian.org
Mon, 08 Nov 2004 09:09:09 -0700


Author: free-guest
Date: 2004-11-08 09:08:38 -0700 (Mon, 08 Nov 2004)
New Revision: 119

Modified:
   demudi-debian-cd/trunk/data/sarge/demudi_i386_late_command
   demudi-debian-cd/trunk/data/sarge/demudi_i386_preseed
   demudi-debian-cd/trunk/debian/changelog
   demudi-debian-cd/trunk/demudi-debian-cd
   demudi-debian-cd/trunk/tasks/forcd1-demudi
Log:
  * Added some sanity checks in the build scripts
  * Added late command hook

Modified: demudi-debian-cd/trunk/data/sarge/demudi_i386_late_command
===================================================================
--- demudi-debian-cd/trunk/data/sarge/demudi_i386_late_command	2004-11-08 16:01:19 UTC (rev 118)
+++ demudi-debian-cd/trunk/data/sarge/demudi_i386_late_command	2004-11-08 16:08:38 UTC (rev 119)
@@ -1,20 +1,25 @@
 #!/bin/sh
 
-splash=/boot/grub/splashimages/agnula-romantic.xpm.gz
+set -e
+
 grub=/sbin/update-grub
-packages=demudi-base-config demudi-tasksel demudi-debtags
 apt=/usr/bin/apt-get
 
-chroot /target \
-    if [ -x $grub ] && [ -f $splash ]; then \
-	ln -sf $grub /boot/grub/splash.xpm.gz; \
-    else
-	logger -t late-command "Failed to install the splash image"
-    fi
+packages="demudi-base-config demudi-cfengine demudi-debtags demudi-grub-splashimages demudi-tasksel"
+splash=/boot/grub/splashimages/agnula-romantic.xpm.gz
 
-chroot /target \
-    if [ -x $apt ]; then \
-	apt-get install $packages
-    else
+if [ -x $apt ]; then \
+	apt-get install -y $packages
+else
 	logger -t late-command "Failed to install $pakcages"
-    fi
+fi
+
+if [ -e /boot/grub/splash.xpm.gz ]; then
+	rm /boot/grub/splash.xpm.gz
+fi
+if [ -x $grub ] && [ -f $splash ]; then
+	ln -sf $splash /boot/grub/splash.xpm.gz;
+	$grub
+else
+	logger -t late-command "Failed to install the splash image"
+fi

Modified: demudi-debian-cd/trunk/data/sarge/demudi_i386_preseed
===================================================================
--- demudi-debian-cd/trunk/data/sarge/demudi_i386_preseed	2004-11-08 16:01:19 UTC (rev 118)
+++ demudi-debian-cd/trunk/data/sarge/demudi_i386_preseed	2004-11-08 16:08:38 UTC (rev 119)
@@ -60,12 +60,14 @@
 # This command is run just before the install finishes, but when there is
 # still a usable /target directory.
 #d-i	preseed/late_command		string for deb in /hd-media/*.deb; do cp $deb /target/tmp; chroot /target dpkg -i /tmp/$(basename $deb); done
+d-i	preseed/late_command		string /bin/sh /cdrom/.disk/late_command
+
 # This command is run just as base-config is starting up.
 #base-config	base-config/early_command	string echo hi mom
 # This command is run after base-config is done, just before the login:
 # prompt. This is a good way to install a set of packages you want, or to
 # tweak the configuration of the system.
-#base-config	base-config/late_command	string apt-get install zsh; chsh -s /bin/zsh
+base-config	base-config/late_command	string /usr/sbin/demudi-cfengine
 
 #### Network configuration.
 

Modified: demudi-debian-cd/trunk/debian/changelog
===================================================================
--- demudi-debian-cd/trunk/debian/changelog	2004-11-08 16:01:19 UTC (rev 118)
+++ demudi-debian-cd/trunk/debian/changelog	2004-11-08 16:08:38 UTC (rev 119)
@@ -1,5 +1,7 @@
 demudi-debian-cd (0.1) UNRELEASED; urgency=low
 
+  * Added some sanity checks in the build scripts
+  * Added late command hook
   * Using kernel 2.4.27
   * Added preseeding to netcfg-dhcp to silently keep on in
     case of failure

Modified: demudi-debian-cd/trunk/demudi-debian-cd
===================================================================
--- demudi-debian-cd/trunk/demudi-debian-cd	2004-11-08 16:01:19 UTC (rev 118)
+++ demudi-debian-cd/trunk/demudi-debian-cd	2004-11-08 16:08:38 UTC (rev 119)
@@ -22,4 +22,15 @@
 #make md5list
 make bin-images
 
+# Sanity checks
+cd1="/var/cache/demudi-debian-cd/tmp/sarge-i386/CD1"
+files=".disk/base_installable"
+
+for file in $files; do
+    if ! [ -e $cd1/$file ]; then
+	echo "ERROR: $file not present in CD1"
+	exit 1
+    fi
+done
+
 cd $OLDDIR

Modified: demudi-debian-cd/trunk/tasks/forcd1-demudi
===================================================================
--- demudi-debian-cd/trunk/tasks/forcd1-demudi	2004-11-08 16:01:19 UTC (rev 118)
+++ demudi-debian-cd/trunk/tasks/forcd1-demudi	2004-11-08 16:08:38 UTC (rev 119)
@@ -2,6 +2,7 @@
 demudi-tasksel
 demudi-base-files
 demudi-cfengine
+demudi-grub-splashimages
 demudi-menu
 demudi-pixmaps
 demudi-wallpapers